Application: gvSIG desktop - gvSIG feature requests #4835
Revisar si al guardar el proyecto se ha guardado mal
03/13/2018 12:54 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.4.1-2853 (rev. org.gvsig.deskiop-2.0.223)

gvSIG version: 24.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

A algun usuario se le ha guardado el zip del proyecto corrupto. Se podria hacer una revisién tras guardar el proyecto y avisar al
usuario en caso de error.

Associated revisions

Revision 43820 - 05/11/2018 09:18 PM - Joaquin del Cerro Murciano

refs #4835, afnadida comprobacion que el proyecto guardado es un zip que se puede abrir tras terminar de guardarlo.

History

#1 - 03/13/2018 02:39 PM - Mario Carrera
- File PRACTICA TEMA 1.zip added

Adjunto un proyecto corrupto en el que directamente no se reconoce el .zip. Dio error al guardar.

#2 - 04/25/2018 08:09 PM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3044 to 2.5.0-2930-final

#3 - 05/11/2018 09:17 PM - Joaquin del Cerro Murciano

He afadido una pequefia comprobacion al guardar el proyecto para intentar ver si el fichero del proyecto es un zip que se puede abrir,y en caso de
que no lo pueda abrir presenta mensaje al usuario de que el proyecto no se ha guardado correctamente.

Tambien se han sustituido los mensajes de error producidos durante el guardado del proyecto por mensajes emergentes en lugar de presentarlos solo
en la barra de estado.

#4 - 05/11/2018 09:19 PM - Joaquin del Cerro Murciano
- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

- File org.gvsig.app.mainpligin#4835.diff added

#5 - 05/17/2018 05:52 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.4.1-2853 (rev. org.gvsig.desktop-2.0.223)
#6 - 02/18/2019 04:55 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

PRACTICA TEMA 1.zip
org.gvsig.app.mainpligin#4835.diff

05/10/2024

26.9 KB
9.75 KB

03/13/2018
05/11/2018

Mario Carrera
Joaquin del Cerro Murciano
